;*****************************************************************************
;  Function which calculates Planck radiation law.
;
;  Inputs:
;  1) T -- source temperature.
;  2) lambda -- wavelength.
;
;  Outputs:
;  1) Radiance.
;  
;  v1 - 4/14/2008 - Jeff McIntire
;*****************************************************************************

FUNCTION Planck, T,lambda

c1=14387.86D				; h*c/k*10^6
c2=119106211.8D				; 2*h*c^2*10^(6*5)

return,(c2/lambda^5)*(1/(exp(c1/(lambda*T))-1.))

END

