;*****************************************************************************
;  Function which calculates the derivative of Plancks radiation law with
;  respect to temperature.
;
;  Inputs:
;  1) T -- source temperature.
;  2) lambda -- wavelength.
;
;  Outputs:
;  1) dL/dT.
;  
;  v1 - 4/14/2008 - Jeff McIntire
;*****************************************************************************

FUNCTION Planck_deriv, T,lambda

c1=14387.86D				; h*c/k*10^6
c2=119106211.8D				; 2*h*c^2*10^(6*5)

return,(c1*c2/(lambda^6*T^2))*(exp(c1/(lambda*T))/(exp(c1/(lambda*T))-1.)^2)

END
