;*****************************************************************************
;  Batch file for reading dumped files.
;
;  Run-time inputs required:
;  1) nfile -- file name.
;  
;  v1 - 12/28/2006 - Chunhui Pan
;  v2 - 11/26/2007 - Jeff McIntire
;  v3 - 5/21/2008 - Jeff McIntire 
;     Added header exclusion.
;  v4 - 12/19/2008 - Jeff McIntire 
;     Made header exclusion more robust.
;*****************************************************************************

PRO read_dmpd3, nfile,header,uaid,collect,scan,ham,apid,band,dnb_s,det,dsect,frame,offset,gain,dns

npar = n_params(0)
IF npar LT 1 THEN retall

nlines=File_Lines(nfile)
IF nlines EQ 0 THEN retall

awa=''

; Find header size.
header=intarr(1)
openr,lun,nfile,/Get_Lun
FOR ix=0L, nlines-1 DO BEGIN
    readf,lun,awa
    a1=strsplit(awa,String(9B),/Extract)

    ; Count header.
    IF N_ELEMENTS(a1) NE 13 THEN header[0]=header[0]+1
    IF N_ELEMENTS(a1) EQ 13 THEN BEGIN
        IF a1(12) EQ 'DN' THEN header[0]=header[0]+1
    ENDIF
ENDFOR
close,lun,/file,/all
Free_Lun,lun

uaid=strarr(nlines-header)		; UAID.
collect=fltarr(nlines-header)		; Collect #.
scan=fltarr(nlines-header)		; Scan #.
ham=fltarr(nlines-header)		; HAM side.
apid=fltarr(nlines-header)		; APID.
band=strarr(nlines-header)		; Band name.
dnb_s=fltarr(nlines-header)
det=fltarr(nlines-header)		; Detector #.
dsect=fltarr(nlines-header)
frame=fltarr(nlines-header)		; Sample #.
offset=fltarr(nlines-header)		; Offset.
gain=fltarr(nlines-header)		; Gain.
dns=dblarr(nlines-header)		; dn.

iy=0L
openr,lun,nfile,/Get_Lun
FOR ix=0L, nlines-1 DO BEGIN
    readf,lun,awa
    a1=strsplit(awa,String(9B),/Extract)

    ; Skip header.
    IF N_ELEMENTS(a1) NE 13 THEN continue
    IF a1(12) EQ 'DN' THEN continue

    uaid(iy)=a1(0)
    collect(iy)=a1(1)
    scan(iy)=a1(2)
    ham(iy)=a1(3)
    apid(iy)=a1(4)
    band(iy)=a1(5)
    dnb_s(iy)=a1(6)
    det(iy)=a1(7)
    dsect(iy)=a1(8)
    frame(iy)=a1(9)
    offset(iy)=a1(10)
    gain(iy)=a1(11)
    dns(iy)=DOUBLE(a1(12))
    iy=iy+1
ENDFOR
Free_Lun,lun

END
