;*****************************************************************************
;  Creates a legend using the legend.pro subroutine.
;
;  Inputs:
;  1) nsf -- number of lines in the legend.
;  2) chname -- array of elements that are desribed in the legend.
;  3) lcol -- colors corresponding to elements of chname.
;  4) symbol -- symbols corresponding to elements of chname.
;  
;  v1 - 12/28/2006 - Chunhui Pan
;  v2 - 12/04/2007 - Jeff McIntire
;*****************************************************************************

PRO set_legend, nsf,chname,lcol,symbol

npar=n_params(0)
IF npar LT 1 THEN BEGIN
    print,'set_plot_legend,nsf'
    retall
ENDIF

n_name=n_elements(chname)
IF n_name LE 16 THEN BEGIN
    iq=0
    xna=chname[0:n_name-1]
    sma=symbol[0:n_name-1]
    crs=lcol[0:n_name-1]
    legend,xna,psym=sma,colors=crs,/horiz,charsize=1,pos=[0.05-iq*0.04,0.0-iq*0.04],linestyle=1,thick=3,/normal
    return
ENDIF

FOR iq=0, nsf-1 DO BEGIN
    xna=chname(0+iq*16:15+iq*16)
    sma=symbol(0+iq*16:15+iq*16)
    crs=lcol(0+iq*16:15+iq*16)
    legend,xna,psym=sma,colors=crs,/horiz,charsize=1,pos=[0.05-iq*0.04,0.0-iq*0.04],linestyle=1,thick=3,/normal
ENDFOR

return

END
