;*****************************************************************************
;  Function which returns the average of an array or the standard deviation
;  with a n_sigma kick out.
;
;  Inputs:
;  1) in_array   -- array to be averaged.
;  2) n_sigma -- # of standard deviations included.
;  3) flag    -- 1 to return the average or 2 to return the standard deviation.
;  
;  v1 - 8/16/2006  - Chunhui Pan
;  v2 - 11/26/2007 - Jeff McIntire
;*****************************************************************************

FUNCTION sig_mean_no_kick, in_array,flag

x=WHERE(in_array,count)
IF count EQ 0 THEN return,-999

IF count EQ 1 THEN BEGIN
	mu=in_array[x]
	std=0.0
ENDIF ELSE BEGIN
	mu=mean(in_array(x))
	std=stddev(in_array(x))
ENDELSE

IF flag EQ 1 THEN return,mu
IF flag EQ 2 THEN return,std 

END
